import { defineAsyncComponent } from 'vue'
import { createRouter, createWebHashHistory } from 'vue-router'

export const routers = createRouter({
  history: createWebHashHistory(),
  routes: [
    {
      path: '/',
      name: '登录页',
      component: defineAsyncComponent(() => import('../views/login.vue'))
    },
    {
      path: '/index',
      name: '首页',
      component: defineAsyncComponent(() => import('../views/index.vue')),
      children: [
        {
          path: '/404',
          name: '404',
          component: defineAsyncComponent(() => import('../views/error/404.vue')),
          meta: {
            name: '页面不存在'
          }
        },
        {
          path: '/videoManage',
          name: 'videoManage',
          component: defineAsyncComponent(() => import('../views/synthesizeScreen/videoManage.vue')),
          meta: {
            name: '监控系统管理'
          }
        },
        {
          path: '/deviceManage',
          name: 'deviceManage',
          component: defineAsyncComponent(() => import('../views/synthesizeScreen/videoManage.vue')),
          meta: {
            name: '监控系统管理'
          }
        },
        {
          path: '/EngineeringScreen',
          name: 'EngineeringScreen',
          component: defineAsyncComponent(() => import('../views/engineeringScreen/index.vue')),
          meta: {
            name: '智慧物业工程大屏'
          }
        },
        {
          path: '/QualityScreen',
          name: 'QualityScreen',
          component: defineAsyncComponent(() => import('../views/qualityScreen/index.vue')),
          meta: {
            name: '智慧物业品质大屏',
            menuList: []
          }
        },
        {
          path: '/ProjectScreen',
          name: 'ProjectScreen',
          component: defineAsyncComponent(() => import('../views/projectScreen/index.vue')),
          meta: {
            name: '智慧物业工程大屏',
            menuList: []
          }
        },
        {
          path: '/ComprehensiveScreen',
          name: 'ComprehensiveScreen',
          component: defineAsyncComponent(() => import('../views/comprehensiveScreen/index.vue')),
          meta: {
            name: '天泰服务智慧综合大屏',
            menuList: []
          }
        }
      ]
    }
  ]
})
